Bug 861573 - samsung-laptop: Samsung NC210/NC110, NC10 and others need a broken_acpi_video quirk
samsung-laptop: Samsung NC210/NC110, NC10 and others need a broken_acpi_video...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 04:46 EDT by Germano Massullo
Modified: 2014-10-16 11:26 EDT (History)
17 users (show)

See Also:
Fixed In Version: kernel-3.14.4-100.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 637397
Environment:
Last Closed: 2014-05-09 23:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (24.95 KB, text/x-log)
2014-04-25 13:53 EDT, Germano Massullo
no flags Details
acpi_video0 (363 bytes, text/plain)
2014-04-25 13:54 EDT, Germano Massullo
no flags Details
intel_backlight (246 bytes, text/plain)
2014-04-25 13:54 EDT, Germano Massullo
no flags Details
dmesg (65.41 KB, text/plain)
2014-04-25 20:39 EDT, Germano Massullo
no flags Details
lsmod (3.76 KB, text/plain)
2014-04-25 20:39 EDT, Germano Massullo
no flags Details
NC10 logs (19.66 KB, application/octet-stream)
2014-09-02 13:38 EDT, Germano Massullo
no flags Details
NC10 dmesg for each kernel boot option (23.90 KB, application/x-7z-compressed)
2014-10-16 10:45 EDT, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2012-09-29 04:46:05 EDT
Weeks ago I installed a fresh Fedora 17 LXDE on a Samsung N150, and when you unplug the battery you will have a low brightness level and you cannot change it with keyboard.
On Fedoraonline.it I found out a topic about this problem ( http://forum.fedoraonline.it/viewtopic.php?id=14254&p=2 ), and the user Virus found out that command that allows you to control brightness:
# setpci -s 00:02.0 F4.B=ff        (in this case maximum level)
I cloned the bugreport #637397 since it seems that the bug has been fixed, but it is still here...



+++ This bug was initially created as a clone of Bug #637397 +++

Description of problem:

The display brightness cannot be changed on a Samsung N150 plus netbook. The Gnome brightness control applet does not work ("Cannot get laptop panel brightness"), nor do the Fn keys.


Version-Release number of selected component (if applicable):

2.11.0-5.fc13


How reproducible:

see above


Additional info:

[root@localhost raphael]# lshw
localhost.localdomain     
    description: Notebook
    product: N150P/N210P/N220P
    vendor: SAMSUNG ELECTRONICS CO., LTD.
    version: Not Applicable
    serial: ZQN593KZ700252
    width: 32 bits
    capabilities: smbios-2.5 dmi-2.5 smp-1.4 smp
    configuration: administrator_password=disabled boot=normal chassis=notebook cpus=1 frontpanel_password=unknown keyboard_password=unknown power-on_password=disabled uuid=E05B63BC-E11D-B211-8000-D109F68C0449
  *-core
       description: Motherboard
       product: N150P/N210P/N220P
       vendor: SAMSUNG ELECTRONICS CO., LTD.
       physical id: 0
       version: Not Applicable
       serial: 123490EN400015
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies Ltd.
          physical id: 0
          version: 01KY.M008.20100430.RHU (04/30/2010)
          size: 103KiB
          capacity: 1984KiB
          capabilities: isa pci pnp upgrade shadowing escd cdboot bootselect socketedrom edd int5printscreen int9keyboard int14serial int17printer int10video usb smartbattery biosbootspecification
     *-cpu
          description: CPU
          product: Intel(R) Atom(TM) CPU N450   @ 1.66GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: 6.12.10
          serial: 0001-06CA-0000-0000-0000-0000
          slot: CPU 1
          size: 1GHz
          capacity: 3300MHz
          width: 64 bits
          capabilities: boot fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx x86-64 constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl est tm2 ssse3 cx16 xtpr pdcm movbe lahf_lm cpufreq
          configuration: id=0
        *-cache:0
             description: L1 cache
             physical id: 5
             slot: L1 Cache
             size: 16KiB
             capacity: 16KiB
             capabilities: asynchronous internal write-back
        *-cache:1
             description: L2 cache
             physical id: 6
             slot: L2 Cache
             size: 512KiB
             capacity: 512KiB
             capabilities: burst internal write-back
        *-logicalcpu:0
             description: Logical CPU
             physical id: 0.1
             width: 64 bits
             capabilities: logical
        *-logicalcpu:1
             description: Logical CPU
             physical id: 0.2
             width: 64 bits
             capabilities: logical
     *-memory
          description: System Memory
          physical id: e
          slot: System board or motherboard
          size: 1GiB
        *-bank
             description: SODIMM DDR2 Synchronous 667 MHz (1.5 ns)
             product: 012345678901234567890123456789012345
             vendor: 48spaces
             physical id: 0
             serial: 01234567
             slot: J6G1
             size: 1GiB
             width: 64 bits
             clock: 667MHz (1.5ns)
     *-pci
          description: Host bridge
          product: N10 Family DMI Bridge
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 00
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display:0
             description: VGA compatible controller
             product: N10 Family Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:29 memory:f0300000-f037ffff ioport:18d0(size=8) memory:d0000000-dfffffff memory:f0000000-f00fffff
        *-display:1 UNCLAIMED
             description: Display controller
             product: N10 Family Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2.1
             bus info: pci@0000:00:02.1
             version: 00
             width: 32 bits
             clock: 33MHz
             capabilities: pm bus_master cap_list
             configuration: latency=0
             resources: memory:f0380000-f03fffff
        *-multimedia
             description: Audio device
             product: N10/ICH 7 Family High Definition Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=HDA Intel latency=0
             resources: irq:31 memory:f0400000-f0403fff
        *-pci:0
             description: PCI bridge
             product: N10/ICH 7 Family PCI Express Port 1
             vendor: Intel Corporation
             physical id: 1c
             bus info: pci@0000:00:1c.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:24 ioport:3000(size=4096) memory:f0100000-f01fffff ioport:40000000(size=2097152)
           *-network
                description: Wireless interface
                product: BCM4313 802.11b/g LP-PHY
                vendor: Broadcom Corporation
                physical id: 0
                bus info: pci@0000:05:00.0
                logical name: eth1
                version: 01
                serial: e8:39:df:69:f7:29
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=wl0 driverversion=5.60.48.36 latency=0 multicast=yes wireless=IEEE 802.11
                resources: irq:16 memory:f0100000-f0103fff
        *-pci:1
             description: PCI bridge
             product: N10/ICH 7 Family PCI Express Port 2
             vendor: Intel Corporation
             physical id: 1c.1
             bus info: pci@0000:00:1c.1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:25 ioport:4000(size=4096) memory:40200000-403fffff ioport:40400000(size=2097152)
        *-pci:2
             description: PCI bridge
             product: N10/ICH 7 Family PCI Express Port 3
             vendor: Intel Corporation
             physical id: 1c.2
             bus info: pci@0000:00:1c.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:26 ioport:2000(size=4096) memory:f0200000-f02fffff ioport:40600000(size=2097152)
           *-network
                description: Ethernet interface
                product: 88E8040 PCI-E Fast Ethernet Controller
                vendor: Marvell Technology Group Ltd.
                physical id: 0
                bus info: pci@0000:09:00.0
                logical name: eth0
                version: 00
                serial: 00:24:54:b1:b9:cc
                size: 100MB/s
                capacity: 100MB/s
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
                configuration: autonegotiation=on broadcast=yes driver=sky2 driverversion=1.27 duplex=full firmware=N/A ip=192.168.1.64 latency=0 link=yes multicast=yes port=twisted pair speed=100MB/s
                resources: irq:30 memory:f0200000-f0203fff ioport:2000(size=256)
        *-pci:3
             description: PCI bridge
             product: N10/ICH 7 Family PCI Express Port 4
             vendor: Intel Corporation
             physical id: 1c.3
             bus info: pci@0000:00:1c.3
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:27 ioport:5000(size=4096) memory:40800000-409fffff ioport:40a00000(size=2097152)
        *-usb:0
             description: USB Controller
             product: N10/ICH7 Family USB UHCI Controller #1
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@0000:00:1d.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:23 ioport:1820(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.34.7-56.fc13.i686 uhci_hcd
                physical id: 1
                bus info: usb@2
                logical name: usb2
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
        *-usb:1
             description: USB Controller
             product: N10/ICH 7 Family USB UHCI Controller #2
             vendor: Intel Corporation
             physical id: 1d.1
             bus info: pci@0000:00:1d.1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:19 ioport:1840(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.34.7-56.fc13.i686 uhci_hcd
                physical id: 1
                bus info: usb@3
                logical name: usb3
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
              *-usb
                   description: Bluetooth wireless interface
                   product: Broadcom BCM2070 Bluetooth Device
                   vendor: Broadcom Corp
                   physical id: 2
                   bus info: usb@3:2
                   version: 6.00
                   serial: E839DF04D3ED
                   capabilities: bluetooth usb-2.00
                   configuration: driver=btusb speed=12.0MB/s
        *-usb:2
             description: USB Controller
             product: N10/ICH 7 Family USB UHCI Controller #3
             vendor: Intel Corporation
             physical id: 1d.2
             bus info: pci@0000:00:1d.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:18 ioport:1860(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.34.7-56.fc13.i686 uhci_hcd
                physical id: 1
                bus info: usb@4
                logical name: usb4
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
        *-usb:3
             description: USB Controller
             product: N10/ICH 7 Family USB UHCI Controller #4
             vendor: Intel Corporation
             physical id: 1d.3
             bus info: pci@0000:00:1d.3
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:16 ioport:1880(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 2.6.34.7-56.fc13.i686 uhci_hcd
                physical id: 1
                bus info: usb@5
                logical name: usb5
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12.0MB/s
        *-usb:4
             description: USB Controller
             product: N10/ICH 7 Family USB2 EHCI Controller
             vendor: Intel Corporation
             physical id: 1d.7
             bus info: pci@0000:00:1d.7
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci_hcd latency=0
             resources: irq:23 memory:f0604000-f06043ff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 2.6.34.7-56.fc13.i686 ehci_hcd
                physical id: 1
                bus info: usb@1
                logical name: usb1
                version: 2.06
                capabilities: usb-2.00
                configuration: driver=hub slots=8 speed=480.0MB/s
              *-usb
                   description: Video
                   product: WebCam SCB-0340N
                   vendor: Namuga.
                   physical id: 8
                   bus info: usb@1:8
                   version: 1.00
                   capabilities: usb-2.00
                   configuration: driver=uvcvideo maxpower=128mA speed=480.0MB/s
        *-pci:4
             description: PCI bridge
             product: 82801 Mobile PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@0000:00:1e.0
             version: e2
             width: 32 bits
             clock: 33MHz
             capabilities: pci subtractive_decode bus_master cap_list
        *-isa
             description: ISA bridge
             product: NM10 Family LPC Controller
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master cap_list
             configuration: latency=0
        *-storage
             description: SATA controller
             product: N10/ICH7 Family SATA AHCI Controller
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             logical name: scsi0
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: storage msi pm ahci_1.0 bus_master cap_list emulated
             configuration: driver=ahci latency=0
             resources: irq:28 ioport:18e8(size=8) ioport:18dc(size=4) ioport:18e0(size=8) ioport:18d8(size=4) ioport:18c0(size=16) memory:f0604400-f06047ff
           *-disk
                description: ATA Disk
                product: Hitachi HTS54502
                vendor: Hitachi
                physical id: 0.0.0
                bus info: scsi@0:0.0.0
                logical name: /dev/sda
                version: PB2O
                serial: 100620PBN2033SEBXN5T
                size: 232GiB (250GB)
                capabilities: partitioned partitioned:dos
                configuration: ansiversion=5 signature=e472d3c2
              *-volume:0
                   description: Windows NTFS volume
                   physical id: 1
                   bus info: scsi@0:0.0.0,1
                   logical name: /dev/sda1
                   version: 3.1
                   serial: 543ed20f-73bc-0b40-a6a5-c52f4b9cfed4
                   size: 19GiB
                   capacity: 20GiB
                   capabilities: primary ntfs initialized
                   configuration: clustersize=4096 created=2010-06-17 22:14:49 filesystem=ntfs label=RECOVERY state=clean
              *-volume:1
                   description: Windows NTFS volume
                   physical id: 2
                   bus info: scsi@0:0.0.0,2
                   logical name: /dev/sda2
                   version: 3.1
                   serial: 4aea-ecee
                   size: 98MiB
                   capacity: 100MiB
                   capabilities: primary bootable ntfs initialized
                   configuration: clustersize=4096 created=2010-06-18 02:55:16 filesystem=ntfs label=SYSTEM state=clean
              *-volume:2
                   description: Windows NTFS volume
                   physical id: 3
                   bus info: scsi@0:0.0.0,3
                   logical name: /dev/sda3
                   version: 3.1
                   serial: 76128e9c-e98b-fa49-ba92-c7f1f9a14dd8
                   size: 79GiB
                   capacity: 80GiB
                   capabilities: primary ntfs initialized
                   configuration: clustersize=4096 created=2010-06-17 22:14:55 filesystem=ntfs modified_by_chkdsk=true mounted_on_nt4=true resize_log_file=true state=dirty upgrade_on_mount=true
              *-volume:3
                   description: Extended partition
                   physical id: 4
                   bus info: scsi@0:0.0.0,4
                   logical name: /dev/sda4
                   size: 132GiB
                   capacity: 132GiB
                   capabilities: primary extended partitioned partitioned:extended
                 *-logicalvolume:0
                      description: Linux filesystem partition
                      physical id: 5
                      logical name: /dev/sda5
                      logical name: /
                      capacity: 131GiB
                      configuration: mount.fstype=ext4 mount.options=rw,seclabel,relatime,barrier=1,data=ordered state=mounted
                 *-logicalvolume:1
                      description: Linux swap / Solaris partition
                      physical id: 6
                      logical name: /dev/sda6
                      capacity: 1023MiB
                      capabilities: nofs
        *-serial
             description: SMBus
             product: N10/ICH 7 Family SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 02
             width: 32 bits
             clock: 33MHz
             configuration: driver=i801_smbus latency=0
             resources: irq:19 ioport:18a0(size=32)
  *-remoteaccess UNCLAIMED
       vendor: Intel
       physical id: 1
       capabilities: inbound

--- Additional comment from mcepl@redhat.com on 2010-09-25 18:40:58 EDT ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from freyraphael@gmail.com on 2010-09-27 11:36:14 EDT ---

Created attachment 449926 [details]
output of dmesg command

--- Additional comment from freyraphael@gmail.com on 2010-09-27 11:37:24 EDT ---

Created attachment 449928 [details]
system log

--- Additional comment from freyraphael@gmail.com on 2010-09-27 11:38:21 EDT ---

Created attachment 449930 [details]
X server log file

--- Additional comment from fedora@berkenpi.es on 2011-03-21 12:41:31 EDT ---

Created attachment 486638 [details]
dmesg file

--- Additional comment from fedora@berkenpi.es on 2011-03-21 12:42:14 EDT ---

Created attachment 486639 [details]
/var/log/messages

--- Additional comment from fedora@berkenpi.es on 2011-03-21 12:43:09 EDT ---

Created attachment 486640 [details]
Xorg.0.log

--- Additional comment from fedora@berkenpi.es on 2011-03-21 12:45:39 EDT ---

I got the same problem using kernel-2.6.38-1.fc15.i686. You'll find the requested files attached. No xorg.conf present.

The laptop in question is a Samsung N210 Plus.

If more info is desired, please let me know.

--- Additional comment from mcepl@redhat.com on 2011-03-22 09:02:54 EDT ---

*** Bug 582830 has been marked as a duplicate of this bug. ***

--- Additional comment from fedora@uber1337.nl on 2011-04-15 10:30:31 EDT ---

I also have an Samsung N210 (P2), same problem.

But I do wonder if this ticket is under the right category. I think it should be filled under Kernel, because it needs a kernel module to work.

--- Additional comment from freyraphael@gmail.com on 2011-05-30 07:00:54 EDT ---

Unfortunately, this bug is still present in F15. Still no brightness control.

--- Additional comment from triage@lists.fedoraproject.org on 2011-05-31 08:37:12 EDT ---


This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from freyraphael@gmail.com on 2011-05-31 13:13:35 EDT ---

As I wrote yesterday, this problem is still existing in F15. What kind of additional information is needed?

--- Additional comment from vpodzime@redhat.com on 2011-06-03 05:19:47 EDT ---

I have the same problem on my N150 netbook. And also I have a problem with too dim backlight when running on battery. I think the core of these problems is described here -- Bug 647406

--- Additional comment from vpodzime@redhat.com on 2011-06-03 05:22:25 EDT ---

When booted while running on battery, I have value 7 in
/sys/devices/virtual/backlight/acpi_video0/max_brightness

--- Additional comment from receive@redbrick.dcu.ie on 2011-06-10 06:28:14 EDT ---

I'm also having this problem, Fedora 15, lxde, 2.6.38.7-30.fc15.i686

--- Additional comment from freyraphael@gmail.com on 2011-08-22 08:12:34 EDT ---

Great, brightness control now works! But unfortunately, screen brightness sometimes flickers - changing text terminal ([Ctrl] + [Alt] + [F...]) stops flickering.

2.6.40.3-0.fc15.i686

--- Additional comment from freyraphael@gmail.com on 2011-08-25 09:50:08 EDT ---

As I just discovered, the screen brightness flickering appears:

* when Gnome tries to dim the screen (workaround: uncheck the option 'Dim screen to save power' in 'Gnome > System Settings > Screen),
* when moving the brightness button slowly around in 'Gnome > System Settings > Screen'.

But the problem does not appear when changing the screen brithness stepwise by keyboard commands.

--- Additional comment from vpodzime@redhat.com on 2011-09-29 15:43:32 EDT ---

The other problem is (at least for my samsung N145 netbook) that there are only three brightness levels -- minimum, little more than minimum and maximum. For everyday work all of them are unusable.

--- Additional comment from receive@redbrick.dcu.ie on 2011-11-08 20:54:22 EST ---

I am still seeing this problem having upgraded to Fedora 16, kernel 3.1.0-7.fc16.i686

--- Additional comment from vpodzime@redhat.com on 2011-11-24 02:22:05 EST ---

Works great for me now with F16 and 3.1.1-2.fc16.i686.PAE kernel. The only remaining problem is that the brightness level is not preserved after reboot.

--- Additional comment from freyraphael@gmail.com on 2011-11-24 04:26:35 EST ---

Same here: 2.6.41.1-1.fc15.i686. Great!

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 15:25:24 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Vratislav Podzimek 2013-12-16 06:12:10 EST
Brightness control works for me on my N150P in both F19 and F20. It just doesn't preserve brightness level when suspended.
Comment 2 Germano Massullo 2013-12-19 10:25:32 EST
I attach lshw of a Samsung NC10 that seems to have the same VGA. On LXDE keybutton combo for brightness does not work. Only
#setpci -s 00:02.0 F4.B=ff 
manages to change to maximum level the brightness


localhost.localdomain
    description: Notebook
    product: NC10
    vendor: SAMSUNG ELECTRONICS CO., LTD.
    version: Not Applicable
    serial: 
    width: 32 bits
    capabilities: smbios-2.5 dmi-2.5 smp-1.4 smp
    configuration: administrator_password=disabled boot=normal chassis=notebook cpus=1 frontpanel_password=unknown keyboard_password=unknown power-on_password=disabled uuid=40C65A28-D21D-B211-8000-CD2CD1E4EE6E
  *-core
       description: Motherboard
       product: NC10
       vendor: SAMSUNG ELECTRONICS CO., LTD.
       physical id: 0
       version: Not Applicable
       serial: 123490EN400015
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies Ltd.
          physical id: 0
          version: 03CA.MP00.20081125.KTW
          date: 11/25/2008
          size: 102KiB
          capacity: 1984KiB
          capabilities: isa pci pnp upgrade shadowing escd acpi usb smartbattery biosbootspecification
     *-cpu
          description: CPU
          product: Intel(R) Atom(TM) CPU N270   @ 1.60GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: 6.12.2
          serial: 0001-06C2-0000-0000-0000-0000
          slot: U2E1
          size: 1600MHz
          capacity: 4096MHz
          width: 32 bits
          capabilities: boot fpu fpu_exception wp vme de tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl est tm2 ssse3 xtpr pdcm movbe lahf_lm dtherm cpufreq
          configuration: cores=1 enabledcores=1 id=0 threads=2
        *-cache:0
             description: L1 cache
             physical id: 5
             slot: L1 Cache
             size: 64KiB
             capacity: 64KiB
             capabilities: asynchronous internal write-back
        *-cache:1
             description: L2 cache
             physical id: 6
             slot: L2 Cache
             size: 512KiB
             capacity: 4MiB
             capabilities: burst internal write-back
        *-logicalcpu:0
             description: Logical CPU
             physical id: 0.1
             width: 32 bits
             capabilities: logical
        *-logicalcpu:1
             description: Logical CPU
             physical id: 0.2
             width: 32 bits
             capabilities: logical
     *-memory
          description: System Memory
          physical id: e
          slot: System board or motherboard
          size: 1GiB
          capacity: 2GiB
        *-bank:0
             description: SODIMM DDR2 Synchronous 533 MHz (1,9 ns)
             product: SODIMM000
             vendor: Mfg 0
             physical id: 0
             serial: 1234-B0
             slot: M1
             size: 1GiB
             width: 64 bits
             clock: 533MHz (1.9ns)
        *-bank:1
             description: SODIMM DDR2 Synchronous 533 MHz (1,9 ns) [empty]
             product: SODIMM001
             vendor: Mfg 1
             physical id: 1
             serial: 1234-B1
             slot: M2
             clock: 533MHz (1.9ns)
     *-pci
          description: Host bridge
          product: Mobile 945GSE Express Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 03
          width: 32 bits
          clock: 33MHz
          configuration: driver=agpgart-intel
          resources: irq:0
        *-display:0
             description: VGA compatible controller
             product: Mobile 945GSE Express Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 03
             width: 32 bits
             clock: 33MHz
             capabilities: msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:16 memory:f0000000-f007ffff ioport:1800(size=8) memory:d0000000-dfffffff memory:f0300000-f033ffff
        *-display:1 UNCLAIMED
             description: Display controller
             product: Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2.1
             bus info: pci@0000:00:02.1
             version: 03
             width: 32 bits
             clock: 33MHz
             capabilities: pm bus_master cap_list
             configuration: latency=0
             resources: memory:f0080000-f00fffff
        *-multimedia
             description: Audio device
             product: NM10/ICH7 Family High Definition Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=snd_hda_intel latency=0
             resources: irq:43 memory:f0340000-f0343fff
        *-pci:0
             description: PCI bridge
             product: NM10/ICH7 Family PCI Express Port 1
             vendor: Intel Corporation
             physical id: 1c
             bus info: pci@0000:00:1c.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:40 ioport:3000(size=4096) memory:f0100000-f01fffff ioport:40000000(size=2097152)
           *-network
                description: Wireless interface
                product: AR242x / AR542x Wireless Network Adapter (PCI-Express)
                vendor: Qualcomm Atheros
                physical id: 0
                bus info: pci@0000:02:00.0
                logical name: wlp2s0
                version: 01
                serial: 00:21:63:aa:aa:26
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress msix bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=ath5k driverversion=3.11.9-200.fc19.i686 firmware=N/A ip=192.168.1.131 latency=0 link=yes multicast=yes wireless=IEEE 802.11bg
                resources: irq:16 memory:f0100000-f010ffff
        *-pci:1
             description: PCI bridge
             product: NM10/ICH7 Family PCI Express Port 3
             vendor: Intel Corporation
             physical id: 1c.2
             bus info: pci@0000:00:1c.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pci pciexpress msi pm normal_decode bus_master cap_list
             configuration: driver=pcieport
             resources: irq:41 ioport:2000(size=4096) memory:f0200000-f02fffff ioport:40200000(size=2097152)
           *-network
                description: Ethernet interface
                product: 88E8040 PCI-E Fast Ethernet Controller
                vendor: Marvell Technology Group Ltd.
                physical id: 0
                bus info: pci@0000:03:00.0
                logical name: p4p1
                version: 13
                serial: 00:13:77:d2:01:d9
                capacity: 100Mbit/s
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
                configuration: autonegotiation=on broadcast=yes driver=sky2 driverversion=1.30 latency=0 link=no multicast=yes port=twisted pair
                resources: irq:42 memory:f0200000-f0203fff ioport:2000(size=256)
        *-usb:0
             description: USB controller
             product: NM10/ICH7 Family USB UHCI Controller #1
             vendor: Intel Corporation
             physical id: 1d
             bus info: pci@0000:00:1d.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:23 ioport:1820(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 3.11.9-200.fc19.i686 uhci_hcd
                physical id: 1
                bus info: usb@2
                logical name: usb2
                version: 3.11
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12Mbit/s
        *-usb:1
             description: USB controller
             product: NM10/ICH7 Family USB UHCI Controller #2
             vendor: Intel Corporation
             physical id: 1d.1
             bus info: pci@0000:00:1d.1
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:19 ioport:1840(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 3.11.9-200.fc19.i686 uhci_hcd
                physical id: 1
                bus info: usb@3
                logical name: usb3
                version: 3.11
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12Mbit/s
              *-usb
                   description: Bluetooth wireless interface
                   product: BCM92045NMD
                   vendor: Broadcom Corp
                   physical id: 2
                   bus info: usb@3:2
                   version: 3.54
                   serial: 002269E9620A
                   capabilities: bluetooth usb-2.00
                   configuration: driver=btusb speed=12Mbit/s
        *-usb:2
             description: USB controller
             product: NM10/ICH7 Family USB UHCI Controller #3
             vendor: Intel Corporation
             physical id: 1d.2
             bus info: pci@0000:00:1d.2
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:18 ioport:1860(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 3.11.9-200.fc19.i686 uhci_hcd
                physical id: 1
                bus info: usb@4
                logical name: usb4
                version: 3.11
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12Mbit/s
        *-usb:3
             description: USB controller
             product: NM10/ICH7 Family USB UHCI Controller #4
             vendor: Intel Corporation
             physical id: 1d.3
             bus info: pci@0000:00:1d.3
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: uhci bus_master
             configuration: driver=uhci_hcd latency=0
             resources: irq:16 ioport:1880(size=32)
           *-usbhost
                product: UHCI Host Controller
                vendor: Linux 3.11.9-200.fc19.i686 uhci_hcd
                physical id: 1
                bus info: usb@5
                logical name: usb5
                version: 3.11
                capabilities: usb-1.10
                configuration: driver=hub slots=2 speed=12Mbit/s
        *-usb:4
             description: USB controller
             product: NM10/ICH7 Family USB2 EHCI Controller
             vendor: Intel Corporation
             physical id: 1d.7
             bus info: pci@0000:00:1d.7
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: pm debug ehci bus_master cap_list
             configuration: driver=ehci-pci latency=0
             resources: irq:23 memory:f0544000-f05443ff
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 3.11.9-200.fc19.i686 ehci_hcd
                physical id: 1
                bus info: usb@1
                logical name: usb1
                version: 3.11
                capabilities: usb-2.00
                configuration: driver=hub slots=8 speed=480Mbit/s
              *-usb
                   description: Video
                   product: Namuga 1.3M Webcam
                   vendor: Vimicro Corp.
                   physical id: 8
                   bus info: usb@1:8
                   version: 1.00
                   capabilities: usb-2.00
                   configuration: driver=uvcvideo maxpower=320mA speed=480Mbit/s
        *-pci:2
             description: PCI bridge
             product: 82801 Mobile PCI Bridge
             vendor: Intel Corporation
             physical id: 1e
             bus info: pci@0000:00:1e.0
             version: e2
             width: 32 bits
             clock: 33MHz
             capabilities: pci subtractive_decode bus_master cap_list
        *-isa
             description: ISA bridge
             product: 82801GBM (ICH7-M) LPC Interface Bridge
             vendor: Intel Corporation
             physical id: 1f
             bus info: pci@0000:00:1f.0
             version: 02
             width: 32 bits
             clock: 33MHz
             capabilities: isa bus_master cap_list
             configuration: driver=lpc_ich latency=0
             resources: irq:0
        *-ide
             description: IDE interface
             product: 82801GBM/GHM (ICH7-M Family) SATA Controller [IDE mode]
             vendor: Intel Corporation
             physical id: 1f.2
             bus info: pci@0000:00:1f.2
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: ide pm bus_master cap_list
             configuration: driver=ata_piix latency=0
             resources: irq:19 ioport:1f0(size=8) ioport:3f6 ioport:170(size=8) ioport:376 ioport:1810(size=16)
        *-serial UNCLAIMED
             description: SMBus
             product: NM10/ICH7 Family SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 02
             width: 32 bits
             clock: 33MHz
             configuration: latency=0
             resources: ioport:18a0(size=32)
     *-scsi
          physical id: 1
          logical name: scsi0
          capabilities: emulated
        *-disk
             description: ATA Disk
             product: WDC WD1600BEVT-3
             vendor: Western Digital
             physical id: 0.0.0
             bus info: scsi@0:0.0.0
             logical name: /dev/sda
             version: 11.0
             serial: 
             size: 149GiB (160GB)
             capabilities: partitioned partitioned:dos
             configuration: ansiversion=5 logicalsectorsize=512 sectorsize=512 signature=0008ddd7
           *-volume
                description: Linux LVM Physical Volume partition
                physical id: 1
                bus info: scsi@0:0.0.0,1
                logical name: /dev/sda1
                serial: HVs0uB-j890-Yi16-Ngy3-m7RT-E0wx-olWNYp
                size: 149GiB
                capacity: 149GiB
                capabilities: primary multi lvm2
  *-battery
       description: Lithium Ion Battery
       product: Intel Corporation
       vendor: Intel Corporation
       physical id: 1
       slot: Rear
       capacity: 1000mWh
       configuration: voltage=0,0V
  *-remoteaccess UNCLAIMED
       vendor: Intel
       physical id: 2
       capabilities: inbound
Comment 3 Germano Massullo 2014-04-25 13:25:29 EDT
I just installed Fedora KDE spin on another computer of the same model family, and I confirm the bug

kernel 3.13.10-200.fc20.x86_64


product: NC210/NC110
vendor: SAMSUNG ELECTRONICS CO., LTD.
00:02.0 VGA compatible controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller (rev 02)
00:02.1 Display controller: Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller (rev 02)

It is not possible to change backlight level with both with hardware keys / KDE brightness control.
Comment 4 Hans de Goede 2014-04-25 13:40:28 EDT
Hi,

Can people still having this problem please do the following:
1) open a terminal
2) become root (run "su -")
3) "cd /sys/class/backlight"
4) ls
5) for each directory in the ls output:
5.1) cd into the directory
5.2) "cat type"
5.3) make a note of the directory name + type
5.5) "cat max_brightness"
5.6) "cat brightness"
5.7) "echo some-value > brightness"
where some-value is the output of brightness +  10% of max_brightness
5.8) see if this changes the brightness of the screen, make a note of this
6) Copy and paste the notes you've made into a comment here.
7) Attach Xorg.log from the laptop here.

Thanks & Regards,

Hans
Comment 5 Germano Massullo 2014-04-25 13:52:14 EDT
[root@localhost acpi_video0]# cat type 
firmware
[root@localhost acpi_video0]# cat max_brightness 
7
[root@localhost acpi_video0]# cat brightness 
7
[root@localhost acpi_video0]# echo 8 > brightness 
bash: echo: write error: Invalid argument
***MY NOTE: obvious, just tried to check***
[root@localhost acpi_video0]# echo 3 > brightness
***MY NOTE: no effects***


[root@localhost intel_backlight]# cat type 
raw
[root@localhost intel_backlight]# cat max_brightness 
12421
[root@localhost intel_backlight]# cat brightness 
12421
[root@localhost intel_backlight]# echo 10000 > brightness 
***MY NOTE: it works***
Comment 6 Germano Massullo 2014-04-25 13:53:43 EDT
Created attachment 889865 [details]
Xorg.0.log

Fedora 20
Comment 7 Germano Massullo 2014-04-25 13:54:15 EDT
Created attachment 889866 [details]
acpi_video0
Comment 8 Germano Massullo 2014-04-25 13:54:44 EDT
Created attachment 889867 [details]
intel_backlight
Comment 9 Hans de Goede 2014-04-25 14:07:51 EDT
Hi,

Thanks for the info.

Can you try booting with "acpi_backlight=vendor" on the kernel commandline ?

To do so, reboot then at the grub bootloader screen press ESC, then e to edit the current entry, then go to the long line with all the kernel parameters, and add the end add a space followed by "acpi_backlight=vendor" and then press ctrl+x to boot with the new cmdline.

Once booted in a terminal do "cat /proc/cmdline" to verify that the "acpi_backlight=vendor" is there. If it is try to change your backlight brightness. If this works please also try suspend / resume plugging in / out the power adapter, etc. Then report back here how things went for you. If everything went ok we can add a quirk for this laptop to do the acpi_backlight=vendor behavior by default.

Regards,

Hans
Comment 10 Hans de Goede 2014-04-25 14:24:50 EDT
Hi again,

I've been looking a bit more into the relevant kernel code. Can you please run the following commands and provide their output:

lsmod

cat /sys/class/dmi/id/sys_vendor

cat /sys/class/dmi/id/product_name

cat /sys/class/dmi/id/board_name

And can you also do (as root):
modprobe samsung-laptop

And then run "dmesg > log" and attach the generated log file here ?

Thanks,

Hans
Comment 11 Hans de Goede 2014-04-25 14:34:51 EDT
One last remark, re-reading the bug report, it seems that originally you filed this bug using a Samsung N150P. but now you're testing with both an NC10 and NC210, correct ? Can you please provide the info I've requested for both models ?
Comment 12 Germano Massullo 2014-04-25 20:38:46 EDT
(In reply to Hans de Goede from comment #9)
> Can you try booting with "acpi_backlight=vendor" on the kernel commandline ?
> 
> To do so, reboot then at the grub bootloader screen press ESC, then e to
> edit the current entry, then go to the long line with all the kernel
> parameters, and add the end add a space followed by "acpi_backlight=vendor"
> and then press ctrl+x to boot with the new cmdline.
> 
> Once booted in a terminal do "cat /proc/cmdline" to verify that the
> "acpi_backlight=vendor" is there. If it is try to change your backlight
> brightness. If this works please also try suspend / resume plugging in / out
> the power adapter, etc. Then report back here how things went for you. If
> everything went ok we can add a quirk for this laptop to do the
> acpi_backlight=vendor behavior by default.
> 
> Regards,
> 
> Hans

It works flawlessly


(In reply to Hans de Goede from comment #10)
> Hi again,
> 
> I've been looking a bit more into the relevant kernel code. Can you please
> run the following commands and provide their output:
> 
> lsmod
> 
> cat /sys/class/dmi/id/sys_vendor
> 
> cat /sys/class/dmi/id/product_name
> 
> cat /sys/class/dmi/id/board_name
> 
> And can you also do (as root):
> modprobe samsung-laptop
> 
> And then run "dmesg > log" and attach the generated log file here ?
> 
> Thanks,
> 
> Hans

[root@localhost franco]# cat /sys/class/dmi/id/sys_vendor
SAMSUNG ELECTRONICS CO., LTD.
[root@localhost franco]# cat /sys/class/dmi/id/product_name
NC210/NC110                
[root@localhost franco]# cat /sys/class/dmi/id/board_name
NC210/NC110  

(In reply to Hans de Goede from comment #11)
> One last remark, re-reading the bug report, it seems that originally you
> filed this bug using a Samsung N150P. but now you're testing with both an
> NC10 and NC210, correct ? Can you please provide the info I've requested for
> both models ?

I experienced this trouble on various Samsung netbook models but I reported all of them here. To retrieve info from those computers I have to contact their owners so it will require some days.
Comment 13 Germano Massullo 2014-04-25 20:39:14 EDT
Created attachment 889939 [details]
dmesg
Comment 14 Germano Massullo 2014-04-25 20:39:40 EDT
Created attachment 889940 [details]
lsmod
Comment 15 Hans de Goede 2014-04-26 02:59:43 EDT
(In reply to Germano Massullo from comment #12)

> I experienced this trouble on various Samsung netbook models but I reported
> all of them here. To retrieve info from those computers I have to contact
> their owners so it will require some days.

Ok, so some background info, it seems that the acpi_video brightness interface is broken on quite a lot of samsung netbook models. Since if it present it gets preferred over Samsung's own vendor firmware brightness code, this breaks brightness control on these laptops. To fix this we've a blacklist with systems on which not to use acpi_video's brightness control, this blacklist lives here:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/drivers/platform/x86/samsung-laptop.c#n1438

So the solution is (very likely) to add the laptops you've access to which show this problem to this list. Note that the N150P is already there, so that one should no longer show this problem. For the others please try booting with acpi_backlight=vendor on the kernel cmdline, check everything works as advertised that way and then do:

cat /sys/class/dmi/id/sys_vendor

cat /sys/class/dmi/id/product_name

cat /sys/class/dmi/id/board_name

And add the output of those commands here (like you already did for the NC210/NC110). Let me know when your list of laptops needing such a quirk is complete, then I'll write a kernel patch and do a test kernel build with that patch for you to test.
Comment 16 Hans de Goede 2014-05-01 09:17:33 EDT
Hi,

While waiting for info on the other models, I've gone ahead and created a patch to add a quirk for NC210 to the samsung-laptop driver. I've just started a kernel (scratch) build with the patch added:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6803021
Note it is currently still building.

Can you please give this build a try, it should work without you needing to specify any kernel cmdline parameters. If you can confirm that it works I'll send the patch upstream ASAP.

Regards,

Hans
Comment 17 Germano Massullo 2014-05-01 13:25:58 EDT
The problem is that I don't own that netbook, I have putted my hands on it because I installed Fedora on it.
Now I contact the owner hoping that he will apply the test kernel without much troubles :)
Comment 18 Vratislav Podzimek 2014-05-05 06:27:45 EDT
Brightness control doesn't work on N145P with 3.15.* kernels. Echoing a value into /sys/class/brightness/intel_backlight/brightness works. However, acpi_backlight=vendor doesn't seem to help.
Comment 19 Hans de Goede 2014-05-05 06:31:04 EDT
Hi Vratislav,

(In reply to Vratislav Podzimek from comment #18)
> Brightness control doesn't work on N145P with 3.15.* kernels. Echoing a
> value into /sys/class/brightness/intel_backlight/brightness works. However,
> acpi_backlight=vendor doesn't seem to help.

Can you please read and walk through:
http://hansdegoede.livejournal.com/13889.html

And then file a new bug (with me in the CC) ?

Thanks,

Hans
Comment 20 Fedora Update System 2014-05-07 16:52:34 EDT
kernel-3.14.3-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.3-200.fc20
Comment 21 Fedora Update System 2014-05-08 06:10:43 EDT
Package kernel-3.14.3-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.14.3-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6122/kernel-3.14.3-200.fc20
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2014-05-09 23:19:17 EDT
kernel-3.14.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2014-05-13 08:16:54 EDT
kernel-3.14.3-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-6167/kernel-3.14.3-100.fc19
Comment 24 Fedora Update System 2014-05-13 18:11:59 EDT
kernel-3.14.4-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.14.4-100.fc19
Comment 25 Germano Massullo 2014-05-17 05:42:19 EDT
Will the fix be putted in upstream, to fix other distro too?
Comment 26 Hans de Goede 2014-05-18 05:22:39 EDT
Hi,

(In reply to Germano Massullo from comment #25)
> Will the fix be putted in upstream, to fix other distro too?

Yes, that is the plan, as soon as you can confirm that the fixed Fedora kernel fixes the problem without needing any kernel cmdline options. I'll send the patches upstream.

I'm also still awaiting testing results for the NC10, so that I can write a patch for that too.

Regards,

Hans
Comment 27 Fedora Update System 2014-05-21 19:21:35 EDT
kernel-3.14.4-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Hans de Goede 2014-05-26 07:46:11 EDT
ping, I'm still waiting to hear from you if the kernel I gave you fixes the problems on the NC210/NC110 model, so that I can push the patch upstream.
Comment 29 Germano Massullo 2014-05-28 10:24:30 EDT
(In reply to Hans de Goede from comment #28)
> ping, I'm still waiting to hear from you if the kernel I gave you fixes the
> problems on the NC210/NC110 model, so that I can push the patch upstream.

Hi, I just contacted the owner of last Samsung computer whose logs I posted here.
I should meet him in a few days (he lives out of my city).
Comment 30 Germano Massullo 2014-09-02 13:38:46 EDT
Created attachment 933881 [details]
NC10 logs

Hi, I just collected some infos by a Samsung NC10.
The keyboard buttons for backlight level change do not work.

# uname -r
3.14.17-100.fc19.i686

 ***/sys/class/backlight/intel_backlight***
# cat type
raw
# cat max_brightness
39780
# cat brightness
3900
# echo 30000 > brightness 
it works

***/sys/class/backlight/samsung***
# cat type
platform
# cat max_brightness
8
# cat brightness
1
# echo 8 > brightness
it works


# cat /sys/class/dmi/id/sys_vendor
SAMSUNG ELECTRONICS CO., LTD.
# cat /sys/class/dmi/id/product_name
NC10
# cat /sys/class/dmi/id/board_name
NC10
Comment 31 Hans de Goede 2014-09-02 16:24:06 EDT
(In reply to Germano Massullo from comment #30)
> Created attachment 933881 [details]
> NC10 logs
> 
> Hi, I just collected some infos by a Samsung NC10.
> The keyboard buttons for backlight level change do not work.

I assume that the output you've provided is with acpi_backlight=vendor on the kernel commandline ?

Can you please walk through the debug steps provided here ?  :

http://hansdegoede.livejournal.com/13889.html

I specifically want to know if the brightness osd shows when you press the keys and if not which devices evemu-record shows, and if any of them show brightness keypresses.

Regards,

Hans
Comment 32 Germano Massullo 2014-09-05 14:58:38 EDT
===NC10===

(In reply to Hans de Goede from comment #31)
> I assume that the output you've provided is with acpi_backlight=vendor on
> the kernel commandline ?
No, I haven't provided that command.

> 
> Can you please walk through the debug steps provided here ?  :
> 
> http://hansdegoede.livejournal.com/13889.html

> I specifically want to know if the brightness osd shows when you press the
> keys and if not which devices evemu-record shows, and if any of them show
> brightness keypresses.
With no additional kernel flags, evemu-record shows nothing.

No one of 
- video.use_native_backlight=1
- acpi_backlight=vendor
- acpi_osi="!Windows 2012"
- acpi_osi="!Windows 2009"
lets the system change backlight level with FN keyboard buttons

/sys/class/dmi/id/bios_date:11/25/2008
/sys/class/dmi/id/bios_vendor:Phoenix Technologies Ltd.
/sys/class/dmi/id/bios_version:03CA.MP00.20081125.KTW
/sys/class/dmi/id/board_asset_tag:
/sys/class/dmi/id/board_name:NC10                       
/sys/class/dmi/id/board_vendor:SAMSUNG ELECTRONICS CO., LTD.
/sys/class/dmi/id/board_version:Not Applicable
/sys/class/dmi/id/chassis_asset_tag:No Asset Tag
/sys/class/dmi/id/chassis_serial:None        
/sys/class/dmi/id/chassis_type:10
/sys/class/dmi/id/chassis_vendor:SAMSUNG ELECTRONICS CO., LTD.
/sys/class/dmi/id/chassis_version:N/A         
/sys/class/dmi/id/product_name:NC10                       
/sys/class/dmi/id/product_version:Not Applicable
/sys/class/dmi/id/sys_vendor:SAMSUNG ELECTRONICS CO., LTD.
Comment 33 Vratislav Podzimek 2014-09-08 02:52:11 EDT
Did you try the work around I've pointed out in the referenced bug's description https://bugzilla.redhat.com/show_bug.cgi?id=1094948#c0 ?
Comment 34 Germano Massullo 2014-09-08 03:50:23 EDT
(In reply to Vratislav Podzimek from comment #33)
> Did you try the work around I've pointed out in the referenced bug's
> description https://bugzilla.redhat.com/show_bug.cgi?id=1094948#c0 ?

No, I will try as soon as possible.

Concerning your comment https://bugzilla.redhat.com/show_bug.cgi?id=1094948#c0
where can I retrieve correct info for BusID flag
> Section "Device"
>   BusID       "PCI:0:2:0"

?
Comment 35 Vratislav Podzimek 2014-09-10 13:50:54 EDT
(In reply to Germano Massullo from comment #34)
> (In reply to Vratislav Podzimek from comment #33)
> > Did you try the work around I've pointed out in the referenced bug's
> > description https://bugzilla.redhat.com/show_bug.cgi?id=1094948#c0 ?
> 
> No, I will try as soon as possible.
> 
> Concerning your comment
> https://bugzilla.redhat.com/show_bug.cgi?id=1094948#c0
> where can I retrieve correct info for BusID flag
> > Section "Device"
> >   BusID       "PCI:0:2:0"
> 
> ?

If you run 'lspci', there should be a "VGA compatible controller" device and that ID is its Bus ID (the first column).
Comment 36 Hans de Goede 2014-09-14 16:28:33 EDT
(In reply to Germano Massullo from comment #32)
> ===NC10===
 the output you've provided is with acpi_backlight=vendor on
> No one of 
> - video.use_native_backlight=1
> - acpi_backlight=vendor
> - acpi_osi="!Windows 2012"
> - acpi_osi="!Windows 2009"
> lets the system change backlight level with FN keyboard buttons

But does any of these options cause evemu-record to see key-presses for the brightness ?

And when running gnome-3 can the brightness be controlled with the brightness slider in the system menu (the top right menu which also allows you to control network settings, etc.) ?
Comment 37 Germano Massullo 2014-09-29 13:18:10 EDT
============ NC10 ============
(In reply to Vratislav Podzimek from comment #33)
> Did you try the work around I've pointed out in the referenced bug's
> description https://bugzilla.redhat.com/show_bug.cgi?id=1094948#c0 ?

It has no effects.

-------------------
Executing
# ls /sys/class/backlight/
with kernel boot options
- video.use_native_backlight=1
- acpi_backlight=vendor
- acpi_osi="!Windows 2012"
- acpi_osi="!Windows 2009"

returns everytime:
intel_backlight  samsung
and evemu-record on devices /dev/input/event4:	AT Translated Set 2 keyboard
returns everytime
E: 0.000000 0004 0004 0028	# EV_MSC / MSC_SCAN             28 
E: 0.000000 0001 001c 0000	# EV_KEY / KEY_ENTER            0 
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- 
E: 1.623003 0004 0004 0136	# EV_MSC / MSC_SCAN             136 
E: 1.623003 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1 
E: 1.623003 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- 
E: 1.623061 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0 
E: 1.623061 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- 
E: 2.483160 0004 0004 0137	# EV_MSC / MSC_SCAN             137 
E: 2.483160 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1 
E: 2.483160 0000 0000 0000	# ------------ SYN_REPORT (0) ---------- 
E: 2.483213 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0 
E: 2.483213 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
when pressing FN+Backlight up or Backlight down
Comment 38 Hans de Goede 2014-10-01 05:57:09 EDT
Hi Germano,

I'm confused now, in comment 32 you write that evemu-record shows nothing, and now in comment 37 you write that it does show brightness key-presses. While both are about the NC10.

Also in comment 30 you write that both backlight interfaces work, so if comment 30 and 37 are right, then everything should just work.

Can you please:
1) boot the system without any special kernel commandline parameters
2) redo your tests from comment 30 
3) redo your tests from comment 37
4) describe exactly what happens when you try to change the brightness using the keys will logged into the desktop environment.
5) let us know which desktop environment you're using.

Note I need answer to all 5 items to be able to help you further, please provide an answer to all 5 in your next comment.

Regards,

Hans
Comment 39 Germano Massullo 2014-10-01 06:25:58 EDT
(In reply to Hans de Goede from comment #38)
> Hi Germano,
> 
> I'm confused now, in comment 32 you write that evemu-record shows nothing,
> and now in comment 37 you write that it does show brightness key-presses.
I think that in comment 32 I choosed the wrong input for evemu-record, so I got no outputs while pressing FN keys. I will make tests again as soon as possible
Comment 40 Germano Massullo 2014-10-16 10:42:14 EDT
(In reply to Hans de Goede from comment #38)
> Can you please:
> 1) boot the system without any special kernel commandline parameters
> 2) redo your tests from comment 30 
> 3) redo your tests from comment 37
> 4) describe exactly what happens when you try to change the brightness using
> the keys will logged into the desktop environment.
> 5) let us know which desktop environment you're using.
> 
> Note I need answer to all 5 items to be able to help you further, please
> provide an answer to all 5 in your next comment.

-----------------
|               |
|    NC10	|
|		|
-----------------

***Answer to questions 1) 2) 3)***
Check the big text below


***Answer to question 4)***
Nothing happens when I try to change brightness with FN+backlight up / down keys (while logged in a LXDE session).
I tried with kernel flags:
- normal boot, without changing kernel boot flags
- video.use_native_backlight=1
- acpi_backlight=vendor
- acpi_osi="!Windows 2012"
- acpi_osi="!Windows 2009"

Below you will find logs from evemu-record listening on keyboard device. Note that evemu-recordo listening on Video input device resulted in no outputs.
Tests have been executed with kernel flags:
- normal boot, without changing kernel boot flags
- video.use_native_backlight=1
- acpi_backlight=vendor
- acpi_osi="!Windows 2012"
- acpi_osi="!Windows 2009"

I am going to attach dmesg file for each of them.


***Answer to question 5)***
LXDE from Fedora 19 LXDE spin




====normal boot====
# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.17-100.fc19.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=it2 rhgb quiet LANG=it_IT.UTF-8

# ls /sys/class/backlight/
intel_backlight  samsung


***/sys/class/backlight/intel_backlight***

# cat type
raw

# cat max_brightness 
39780

# cat brightness 
39780

# echo 30000 > brightness 
it works


***/sys/class/backlight/samsung***

# cat type
platform

# cat max_brightness 
8

# cat brightness 
8

# echo 1 > brightness
it works

# evemu-record
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Power Button
/dev/input/event2:	Sleep Button
/dev/input/event3:	Power Button
/dev/input/event4:	AT Translated Set 2 keyboard
/dev/input/event5:	SynPS/2 Synaptics TouchPad
/dev/input/event6:	Video Bus
/dev/input/event7:	Namuga 1.3M Webcam
/dev/input/event8:	HDA Intel Headphone
/dev/input/event9:	HDA Intel Mic
/dev/input/event10:	Logitech Gaming Mouse G400
Select the device event number [0-10]: 4
# EVEMU 1.2
# Input device name: "AT Translated Set 2 keyboard"
# Input device ID: bus 0x11 vendor 0x01 product 0x01 version 0xab41
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 4 ((null))
#     Event code 17 ((null))
#     Event code 20 ((null))
#   Event type 1 (EV_KEY)
#     Event code 1 (KEY_ESC)
#     Event code 2 (KEY_1)
#     Event code 3 (KEY_2)
#     Event code 4 (KEY_3)
#     Event code 5 (KEY_4)
#     Event code 6 (KEY_5)
#     Event code 7 (KEY_6)
#     Event code 8 (KEY_7)
#     Event code 9 (KEY_8)
#     Event code 10 (KEY_9)
#     Event code 11 (KEY_0)
#     Event code 12 (KEY_MINUS)
#     Event code 13 (KEY_EQUAL)
#     Event code 14 (KEY_BACKSPACE)
#     Event code 15 (KEY_TAB)
#     Event code 16 (KEY_Q)
#     Event code 17 (KEY_W)
#     Event code 18 (KEY_E)
#     Event code 19 (KEY_R)
#     Event code 20 (KEY_T)
#     Event code 21 (KEY_Y)
#     Event code 22 (KEY_U)
#     Event code 23 (KEY_I)
#     Event code 24 (KEY_O)
#     Event code 25 (KEY_P)
#     Event code 26 (KEY_LEFTBRACE)
#     Event code 27 (KEY_RIGHTBRACE)
#     Event code 28 (KEY_ENTER)
#     Event code 29 (KEY_LEFTCTRL)
#     Event code 30 (KEY_A)
#     Event code 31 (KEY_S)
#     Event code 32 (KEY_D)
#     Event code 33 (KEY_F)
#     Event code 34 (KEY_G)
#     Event code 35 (KEY_H)
#     Event code 36 (KEY_J)
#     Event code 37 (KEY_K)
#     Event code 38 (KEY_L)
#     Event code 39 (KEY_SEMICOLON)
#     Event code 40 (KEY_APOSTROPHE)
#     Event code 41 (KEY_GRAVE)
#     Event code 42 (KEY_LEFTSHIFT)
#     Event code 43 (KEY_BACKSLASH)
#     Event code 44 (KEY_Z)
#     Event code 45 (KEY_X)
#     Event code 46 (KEY_C)
#     Event code 47 (KEY_V)
#     Event code 48 (KEY_B)
#     Event code 49 (KEY_N)
#     Event code 50 (KEY_M)
#     Event code 51 (KEY_COMMA)
#     Event code 52 (KEY_DOT)
#     Event code 53 (KEY_SLASH)
#     Event code 54 (KEY_RIGHTSHIFT)
#     Event code 55 (KEY_KPASTERISK)
#     Event code 56 (KEY_LEFTALT)
#     Event code 57 (KEY_SPACE)
#     Event code 58 (KEY_CAPSLOCK)
#     Event code 59 (KEY_F1)
#     Event code 60 (KEY_F2)
#     Event code 61 (KEY_F3)
#     Event code 62 (KEY_F4)
#     Event code 63 (KEY_F5)
#     Event code 64 (KEY_F6)
#     Event code 65 (KEY_F7)
#     Event code 66 (KEY_F8)
#     Event code 67 (KEY_F9)
#     Event code 68 (KEY_F10)
#     Event code 69 (KEY_NUMLOCK)
#     Event code 70 (KEY_SCROLLLOCK)
#     Event code 71 (KEY_KP7)
#     Event code 72 (KEY_KP8)
#     Event code 73 (KEY_KP9)
#     Event code 74 (KEY_KPMINUS)
#     Event code 75 (KEY_KP4)
#     Event code 76 (KEY_KP5)
#     Event code 77 (KEY_KP6)
#     Event code 78 (KEY_KPPLUS)
#     Event code 79 (KEY_KP1)
#     Event code 80 (KEY_KP2)
#     Event code 81 (KEY_KP3)
#     Event code 82 (KEY_KP0)
#     Event code 83 (KEY_KPDOT)
#     Event code 85 (KEY_ZENKAKUHANKAKU)
#     Event code 86 (KEY_102ND)
#     Event code 87 (KEY_F11)
#     Event code 88 (KEY_F12)
#     Event code 89 (KEY_RO)
#     Event code 91 (KEY_HIRAGANA)
#     Event code 92 (KEY_HENKAN)
#     Event code 93 (KEY_KATAKANAHIRAGANA)
#     Event code 94 (KEY_MUHENKAN)
#     Event code 95 (KEY_KPJPCOMMA)
#     Event code 96 (KEY_KPENTER)
#     Event code 97 (KEY_RIGHTCTRL)
#     Event code 98 (KEY_KPSLASH)
#     Event code 99 (KEY_SYSRQ)
#     Event code 100 (KEY_RIGHTALT)
#     Event code 102 (KEY_HOME)
#     Event code 103 (KEY_UP)
#     Event code 104 (KEY_PAGEUP)
#     Event code 105 (KEY_LEFT)
#     Event code 106 (KEY_RIGHT)
#     Event code 107 (KEY_END)
#     Event code 108 (KEY_DOWN)
#     Event code 109 (KEY_PAGEDOWN)
#     Event code 110 (KEY_INSERT)
#     Event code 111 (KEY_DELETE)
#     Event code 112 (KEY_MACRO)
#     Event code 113 (KEY_MUTE)
#     Event code 114 (KEY_VOLUMEDOWN)
#     Event code 115 (KEY_VOLUMEUP)
#     Event code 116 (KEY_POWER)
#     Event code 117 (KEY_KPEQUAL)
#     Event code 118 (KEY_KPPLUSMINUS)
#     Event code 119 (KEY_PAUSE)
#     Event code 121 (KEY_KPCOMMA)
#     Event code 122 (KEY_HANGEUL)
#     Event code 123 (KEY_HANJA)
#     Event code 124 (KEY_YEN)
#     Event code 125 (KEY_LEFTMETA)
#     Event code 126 (KEY_RIGHTMETA)
#     Event code 127 (KEY_COMPOSE)
#     Event code 128 (KEY_STOP)
#     Event code 140 (KEY_CALC)
#     Event code 142 (KEY_SLEEP)
#     Event code 143 (KEY_WAKEUP)
#     Event code 148 (KEY_PROG1)
#     Event code 149 (KEY_PROG2)
#     Event code 150 (KEY_WWW)
#     Event code 155 (KEY_MAIL)
#     Event code 156 (KEY_BOOKMARKS)
#     Event code 157 (KEY_COMPUTER)
#     Event code 158 (KEY_BACK)
#     Event code 159 (KEY_FORWARD)
#     Event code 163 (KEY_NEXTSONG)
#     Event code 164 (KEY_PLAYPAUSE)
#     Event code 165 (KEY_PREVIOUSSONG)
#     Event code 166 (KEY_STOPCD)
#     Event code 172 (KEY_HOMEPAGE)
#     Event code 173 (KEY_REFRESH)
#     Event code 183 (KEY_F13)
#     Event code 184 (KEY_F14)
#     Event code 185 (KEY_F15)
#     Event code 192 (KEY_F22)
#     Event code 193 (KEY_F23)
#     Event code 202 (KEY_PROG3)
#     Event code 217 (KEY_SEARCH)
#     Event code 224 (KEY_BRIGHTNESSDOWN)
#     Event code 225 (KEY_BRIGHTNESSUP)
#     Event code 226 (KEY_MEDIA)
#     Event code 227 (KEY_SWITCHVIDEOMODE)
#     Event code 236 (KEY_BATTERY)
#     Event code 238 (KEY_WLAN)
#   Event type 4 (EV_MSC)
#     Event code 4 (MSC_SCAN)
#   Event type 17 (EV_LED)
#     Event code 0 (LED_NUML)
#     Event code 1 (LED_CAPSL)
#     Event code 2 (LED_SCROLLL)
#   Event type 20 (EV_REP)
# Properties:
N: AT Translated Set 2 keyboard
I: 0011 0001 0001 ab41
P: 00 00 00 00 00 00 00 00
B: 00 13 00 12 00 00 00 00 00
B: 01 fe ff ff ff ff ff ff ff
B: 01 ff ff ef fb df ff ff fe
B: 01 01 d0 70 f8 78 30 80 03
B: 01 03 04 00 02 0f 50 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 10 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 07 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
################################
#      Waiting for events      #
################################
E: 0.000000 0004 0004 0028	# EV_MSC / MSC_SCAN             28
E: 0.000000 0001 001c 0000	# EV_KEY / KEY_ENTER            0
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 2.485045 0004 0004 0136	# EV_MSC / MSC_SCAN             136
E: 2.485045 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1
E: 2.485045 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 2.485104 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0
E: 2.485104 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 3.135285 0004 0004 0137	# EV_MSC / MSC_SCAN             137
E: 3.135285 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1
E: 3.135285 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 3.135346 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0
E: 3.135346 0000 0000 0000	# ------------ SYN_REPORT (0) ----------





===video.use_native_backlight=1===

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.17-100.fc19.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=it2 video.use_native_backlight=1 LANG=it_IT.UTF-8

# ls /sys/class/backlight/
intel_backlight  samsung


***/sys/class/backlight/intel_backlight/***

# cat type 
raw

# cat max_brightness 
39780

# cat brightness 
39780

# echo 30000 > brightness 
it works


***/sys/class/backlight/samsung***

# cat type 
platform

# cat max_brightness 
8

# cat brightness 
8

# echo 1 > brightness
it works

# evemu-record
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Power Button
/dev/input/event2:	Sleep Button
/dev/input/event3:	Power Button
/dev/input/event4:	AT Translated Set 2 keyboard
/dev/input/event5:	SynPS/2 Synaptics TouchPad
/dev/input/event6:	Video Bus
/dev/input/event7:	Logitech Gaming Mouse G400
/dev/input/event8:	HDA Intel Headphone
/dev/input/event9:	HDA Intel Mic
/dev/input/event10:	Namuga 1.3M Webcam
Select the device event number [0-10]: 4
# EVEMU 1.2
# Input device name: "AT Translated Set 2 keyboard"
# Input device ID: bus 0x11 vendor 0x01 product 0x01 version 0xab41
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 4 ((null))
#     Event code 17 ((null))
#     Event code 20 ((null))
#   Event type 1 (EV_KEY)
#     Event code 1 (KEY_ESC)
#     Event code 2 (KEY_1)
#     Event code 3 (KEY_2)
#     Event code 4 (KEY_3)
#     Event code 5 (KEY_4)
#     Event code 6 (KEY_5)
#     Event code 7 (KEY_6)
#     Event code 8 (KEY_7)
#     Event code 9 (KEY_8)
#     Event code 10 (KEY_9)
#     Event code 11 (KEY_0)
#     Event code 12 (KEY_MINUS)
#     Event code 13 (KEY_EQUAL)
#     Event code 14 (KEY_BACKSPACE)
#     Event code 15 (KEY_TAB)
#     Event code 16 (KEY_Q)
#     Event code 17 (KEY_W)
#     Event code 18 (KEY_E)
#     Event code 19 (KEY_R)
#     Event code 20 (KEY_T)
#     Event code 21 (KEY_Y)
#     Event code 22 (KEY_U)
#     Event code 23 (KEY_I)
#     Event code 24 (KEY_O)
#     Event code 25 (KEY_P)
#     Event code 26 (KEY_LEFTBRACE)
#     Event code 27 (KEY_RIGHTBRACE)
#     Event code 28 (KEY_ENTER)
#     Event code 29 (KEY_LEFTCTRL)
#     Event code 30 (KEY_A)
#     Event code 31 (KEY_S)
#     Event code 32 (KEY_D)
#     Event code 33 (KEY_F)
#     Event code 34 (KEY_G)
#     Event code 35 (KEY_H)
#     Event code 36 (KEY_J)
#     Event code 37 (KEY_K)
#     Event code 38 (KEY_L)
#     Event code 39 (KEY_SEMICOLON)
#     Event code 40 (KEY_APOSTROPHE)
#     Event code 41 (KEY_GRAVE)
#     Event code 42 (KEY_LEFTSHIFT)
#     Event code 43 (KEY_BACKSLASH)
#     Event code 44 (KEY_Z)
#     Event code 45 (KEY_X)
#     Event code 46 (KEY_C)
#     Event code 47 (KEY_V)
#     Event code 48 (KEY_B)
#     Event code 49 (KEY_N)
#     Event code 50 (KEY_M)
#     Event code 51 (KEY_COMMA)
#     Event code 52 (KEY_DOT)
#     Event code 53 (KEY_SLASH)
#     Event code 54 (KEY_RIGHTSHIFT)
#     Event code 55 (KEY_KPASTERISK)
#     Event code 56 (KEY_LEFTALT)
#     Event code 57 (KEY_SPACE)
#     Event code 58 (KEY_CAPSLOCK)
#     Event code 59 (KEY_F1)
#     Event code 60 (KEY_F2)
#     Event code 61 (KEY_F3)
#     Event code 62 (KEY_F4)
#     Event code 63 (KEY_F5)
#     Event code 64 (KEY_F6)
#     Event code 65 (KEY_F7)
#     Event code 66 (KEY_F8)
#     Event code 67 (KEY_F9)
#     Event code 68 (KEY_F10)
#     Event code 69 (KEY_NUMLOCK)
#     Event code 70 (KEY_SCROLLLOCK)
#     Event code 71 (KEY_KP7)
#     Event code 72 (KEY_KP8)
#     Event code 73 (KEY_KP9)
#     Event code 74 (KEY_KPMINUS)
#     Event code 75 (KEY_KP4)
#     Event code 76 (KEY_KP5)
#     Event code 77 (KEY_KP6)
#     Event code 78 (KEY_KPPLUS)
#     Event code 79 (KEY_KP1)
#     Event code 80 (KEY_KP2)
#     Event code 81 (KEY_KP3)
#     Event code 82 (KEY_KP0)
#     Event code 83 (KEY_KPDOT)
#     Event code 85 (KEY_ZENKAKUHANKAKU)
#     Event code 86 (KEY_102ND)
#     Event code 87 (KEY_F11)
#     Event code 88 (KEY_F12)
#     Event code 89 (KEY_RO)
#     Event code 91 (KEY_HIRAGANA)
#     Event code 92 (KEY_HENKAN)
#     Event code 93 (KEY_KATAKANAHIRAGANA)
#     Event code 94 (KEY_MUHENKAN)
#     Event code 95 (KEY_KPJPCOMMA)
#     Event code 96 (KEY_KPENTER)
#     Event code 97 (KEY_RIGHTCTRL)
#     Event code 98 (KEY_KPSLASH)
#     Event code 99 (KEY_SYSRQ)
#     Event code 100 (KEY_RIGHTALT)
#     Event code 102 (KEY_HOME)
#     Event code 103 (KEY_UP)
#     Event code 104 (KEY_PAGEUP)
#     Event code 105 (KEY_LEFT)
#     Event code 106 (KEY_RIGHT)
#     Event code 107 (KEY_END)
#     Event code 108 (KEY_DOWN)
#     Event code 109 (KEY_PAGEDOWN)
#     Event code 110 (KEY_INSERT)
#     Event code 111 (KEY_DELETE)
#     Event code 112 (KEY_MACRO)
#     Event code 113 (KEY_MUTE)
#     Event code 114 (KEY_VOLUMEDOWN)
#     Event code 115 (KEY_VOLUMEUP)
#     Event code 116 (KEY_POWER)
#     Event code 117 (KEY_KPEQUAL)
#     Event code 118 (KEY_KPPLUSMINUS)
#     Event code 119 (KEY_PAUSE)
#     Event code 121 (KEY_KPCOMMA)
#     Event code 122 (KEY_HANGEUL)
#     Event code 123 (KEY_HANJA)
#     Event code 124 (KEY_YEN)
#     Event code 125 (KEY_LEFTMETA)
#     Event code 126 (KEY_RIGHTMETA)
#     Event code 127 (KEY_COMPOSE)
#     Event code 128 (KEY_STOP)
#     Event code 140 (KEY_CALC)
#     Event code 142 (KEY_SLEEP)
#     Event code 143 (KEY_WAKEUP)
#     Event code 148 (KEY_PROG1)
#     Event code 149 (KEY_PROG2)
#     Event code 150 (KEY_WWW)
#     Event code 155 (KEY_MAIL)
#     Event code 156 (KEY_BOOKMARKS)
#     Event code 157 (KEY_COMPUTER)
#     Event code 158 (KEY_BACK)
#     Event code 159 (KEY_FORWARD)
#     Event code 163 (KEY_NEXTSONG)
#     Event code 164 (KEY_PLAYPAUSE)
#     Event code 165 (KEY_PREVIOUSSONG)
#     Event code 166 (KEY_STOPCD)
#     Event code 172 (KEY_HOMEPAGE)
#     Event code 173 (KEY_REFRESH)
#     Event code 183 (KEY_F13)
#     Event code 184 (KEY_F14)
#     Event code 185 (KEY_F15)
#     Event code 192 (KEY_F22)
#     Event code 193 (KEY_F23)
#     Event code 202 (KEY_PROG3)
#     Event code 217 (KEY_SEARCH)
#     Event code 224 (KEY_BRIGHTNESSDOWN)
#     Event code 225 (KEY_BRIGHTNESSUP)
#     Event code 226 (KEY_MEDIA)
#     Event code 227 (KEY_SWITCHVIDEOMODE)
#     Event code 236 (KEY_BATTERY)
#     Event code 238 (KEY_WLAN)
#   Event type 4 (EV_MSC)
#     Event code 4 (MSC_SCAN)
#   Event type 17 (EV_LED)
#     Event code 0 (LED_NUML)
#     Event code 1 (LED_CAPSL)
#     Event code 2 (LED_SCROLLL)
#   Event type 20 (EV_REP)
# Properties:
N: AT Translated Set 2 keyboard
I: 0011 0001 0001 ab41
P: 00 00 00 00 00 00 00 00
B: 00 13 00 12 00 00 00 00 00
B: 01 fe ff ff ff ff ff ff ff
B: 01 ff ff ef fb df ff ff fe
B: 01 01 d0 70 f8 78 30 80 03
B: 01 03 04 00 02 0f 50 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 10 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 07 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
################################
#      Waiting for events      #
################################
E: 0.000000 0004 0004 0028	# EV_MSC / MSC_SCAN             28
E: 0.000000 0001 001c 0000	# EV_KEY / KEY_ENTER            0
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.628156 0004 0004 0137	# EV_MSC / MSC_SCAN             137
E: 1.628156 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1
E: 1.628156 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.628219 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0
E: 1.628219 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 2.472972 0004 0004 0136	# EV_MSC / MSC_SCAN             136
E: 2.472972 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1
E: 2.472972 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 2.473035 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0
E: 2.473035 0000 0000 0000	# ------------ SYN_REPORT (0) ----------





===acpi_backlight=vendor===

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.17-100.fc19.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=it2 acpi_backlight=vendor LANG=it_IT.UTF-8

# ls /sys/class/backlight/
intel_backlight  samsung


***/sys/class/backlight/intel_backlight***

# cat type 
raw

# cat max_brightness 
39780

# cat brightness 
39780

# echo 30000 > brightness
it works


***/sys/class/backlight/samsung***

# cat type 
platform

# cat max_brightness
8

# cat brightness
8

# echo 1 > brightness
it works


# evemu-record 
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Power Button
/dev/input/event2:	Sleep Button
/dev/input/event3:	Power Button
/dev/input/event4:	AT Translated Set 2 keyboard
/dev/input/event5:	Video Bus
/dev/input/event6:	SynPS/2 Synaptics TouchPad
/dev/input/event7:	Logitech Gaming Mouse G400
/dev/input/event8:	HDA Intel Headphone
/dev/input/event9:	HDA Intel Mic
/dev/input/event10:	Namuga 1.3M Webcam
Select the device event number [0-10]: 4
# EVEMU 1.2
# Input device name: "AT Translated Set 2 keyboard"
# Input device ID: bus 0x11 vendor 0x01 product 0x01 version 0xab41
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 4 ((null))
#     Event code 17 ((null))
#     Event code 20 ((null))
#   Event type 1 (EV_KEY)
#     Event code 1 (KEY_ESC)
#     Event code 2 (KEY_1)
#     Event code 3 (KEY_2)
#     Event code 4 (KEY_3)
#     Event code 5 (KEY_4)
#     Event code 6 (KEY_5)
#     Event code 7 (KEY_6)
#     Event code 8 (KEY_7)
#     Event code 9 (KEY_8)
#     Event code 10 (KEY_9)
#     Event code 11 (KEY_0)
#     Event code 12 (KEY_MINUS)
#     Event code 13 (KEY_EQUAL)
#     Event code 14 (KEY_BACKSPACE)
#     Event code 15 (KEY_TAB)
#     Event code 16 (KEY_Q)
#     Event code 17 (KEY_W)
#     Event code 18 (KEY_E)
#     Event code 19 (KEY_R)
#     Event code 20 (KEY_T)
#     Event code 21 (KEY_Y)
#     Event code 22 (KEY_U)
#     Event code 23 (KEY_I)
#     Event code 24 (KEY_O)
#     Event code 25 (KEY_P)
#     Event code 26 (KEY_LEFTBRACE)
#     Event code 27 (KEY_RIGHTBRACE)
#     Event code 28 (KEY_ENTER)
#     Event code 29 (KEY_LEFTCTRL)
#     Event code 30 (KEY_A)
#     Event code 31 (KEY_S)
#     Event code 32 (KEY_D)
#     Event code 33 (KEY_F)
#     Event code 34 (KEY_G)
#     Event code 35 (KEY_H)
#     Event code 36 (KEY_J)
#     Event code 37 (KEY_K)
#     Event code 38 (KEY_L)
#     Event code 39 (KEY_SEMICOLON)
#     Event code 40 (KEY_APOSTROPHE)
#     Event code 41 (KEY_GRAVE)
#     Event code 42 (KEY_LEFTSHIFT)
#     Event code 43 (KEY_BACKSLASH)
#     Event code 44 (KEY_Z)
#     Event code 45 (KEY_X)
#     Event code 46 (KEY_C)
#     Event code 47 (KEY_V)
#     Event code 48 (KEY_B)
#     Event code 49 (KEY_N)
#     Event code 50 (KEY_M)
#     Event code 51 (KEY_COMMA)
#     Event code 52 (KEY_DOT)
#     Event code 53 (KEY_SLASH)
#     Event code 54 (KEY_RIGHTSHIFT)
#     Event code 55 (KEY_KPASTERISK)
#     Event code 56 (KEY_LEFTALT)
#     Event code 57 (KEY_SPACE)
#     Event code 58 (KEY_CAPSLOCK)
#     Event code 59 (KEY_F1)
#     Event code 60 (KEY_F2)
#     Event code 61 (KEY_F3)
#     Event code 62 (KEY_F4)
#     Event code 63 (KEY_F5)
#     Event code 64 (KEY_F6)
#     Event code 65 (KEY_F7)
#     Event code 66 (KEY_F8)
#     Event code 67 (KEY_F9)
#     Event code 68 (KEY_F10)
#     Event code 69 (KEY_NUMLOCK)
#     Event code 70 (KEY_SCROLLLOCK)
#     Event code 71 (KEY_KP7)
#     Event code 72 (KEY_KP8)
#     Event code 73 (KEY_KP9)
#     Event code 74 (KEY_KPMINUS)
#     Event code 75 (KEY_KP4)
#     Event code 76 (KEY_KP5)
#     Event code 77 (KEY_KP6)
#     Event code 78 (KEY_KPPLUS)
#     Event code 79 (KEY_KP1)
#     Event code 80 (KEY_KP2)
#     Event code 81 (KEY_KP3)
#     Event code 82 (KEY_KP0)
#     Event code 83 (KEY_KPDOT)
#     Event code 85 (KEY_ZENKAKUHANKAKU)
#     Event code 86 (KEY_102ND)
#     Event code 87 (KEY_F11)
#     Event code 88 (KEY_F12)
#     Event code 89 (KEY_RO)
#     Event code 91 (KEY_HIRAGANA)
#     Event code 92 (KEY_HENKAN)
#     Event code 93 (KEY_KATAKANAHIRAGANA)
#     Event code 94 (KEY_MUHENKAN)
#     Event code 95 (KEY_KPJPCOMMA)
#     Event code 96 (KEY_KPENTER)
#     Event code 97 (KEY_RIGHTCTRL)
#     Event code 98 (KEY_KPSLASH)
#     Event code 99 (KEY_SYSRQ)
#     Event code 100 (KEY_RIGHTALT)
#     Event code 102 (KEY_HOME)
#     Event code 103 (KEY_UP)
#     Event code 104 (KEY_PAGEUP)
#     Event code 105 (KEY_LEFT)
#     Event code 106 (KEY_RIGHT)
#     Event code 107 (KEY_END)
#     Event code 108 (KEY_DOWN)
#     Event code 109 (KEY_PAGEDOWN)
#     Event code 110 (KEY_INSERT)
#     Event code 111 (KEY_DELETE)
#     Event code 112 (KEY_MACRO)
#     Event code 113 (KEY_MUTE)
#     Event code 114 (KEY_VOLUMEDOWN)
#     Event code 115 (KEY_VOLUMEUP)
#     Event code 116 (KEY_POWER)
#     Event code 117 (KEY_KPEQUAL)
#     Event code 118 (KEY_KPPLUSMINUS)
#     Event code 119 (KEY_PAUSE)
#     Event code 121 (KEY_KPCOMMA)
#     Event code 122 (KEY_HANGEUL)
#     Event code 123 (KEY_HANJA)
#     Event code 124 (KEY_YEN)
#     Event code 125 (KEY_LEFTMETA)
#     Event code 126 (KEY_RIGHTMETA)
#     Event code 127 (KEY_COMPOSE)
#     Event code 128 (KEY_STOP)
#     Event code 140 (KEY_CALC)
#     Event code 142 (KEY_SLEEP)
#     Event code 143 (KEY_WAKEUP)
#     Event code 148 (KEY_PROG1)
#     Event code 149 (KEY_PROG2)
#     Event code 150 (KEY_WWW)
#     Event code 155 (KEY_MAIL)
#     Event code 156 (KEY_BOOKMARKS)
#     Event code 157 (KEY_COMPUTER)
#     Event code 158 (KEY_BACK)
#     Event code 159 (KEY_FORWARD)
#     Event code 163 (KEY_NEXTSONG)
#     Event code 164 (KEY_PLAYPAUSE)
#     Event code 165 (KEY_PREVIOUSSONG)
#     Event code 166 (KEY_STOPCD)
#     Event code 172 (KEY_HOMEPAGE)
#     Event code 173 (KEY_REFRESH)
#     Event code 183 (KEY_F13)
#     Event code 184 (KEY_F14)
#     Event code 185 (KEY_F15)
#     Event code 192 (KEY_F22)
#     Event code 193 (KEY_F23)
#     Event code 202 (KEY_PROG3)
#     Event code 217 (KEY_SEARCH)
#     Event code 224 (KEY_BRIGHTNESSDOWN)
#     Event code 225 (KEY_BRIGHTNESSUP)
#     Event code 226 (KEY_MEDIA)
#     Event code 227 (KEY_SWITCHVIDEOMODE)
#     Event code 236 (KEY_BATTERY)
#     Event code 238 (KEY_WLAN)
#   Event type 4 (EV_MSC)
#     Event code 4 (MSC_SCAN)
#   Event type 17 (EV_LED)
#     Event code 0 (LED_NUML)
#     Event code 1 (LED_CAPSL)
#     Event code 2 (LED_SCROLLL)
#   Event type 20 (EV_REP)
# Properties:
N: AT Translated Set 2 keyboard
I: 0011 0001 0001 ab41
P: 00 00 00 00 00 00 00 00
B: 00 13 00 12 00 00 00 00 00
B: 01 fe ff ff ff ff ff ff ff
B: 01 ff ff ef fb df ff ff fe
B: 01 01 d0 70 f8 78 30 80 03
B: 01 03 04 00 02 0f 50 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 10 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 07 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
################################
#      Waiting for events      #
################################
E: 0.000000 0004 0004 0028	# EV_MSC / MSC_SCAN             28
E: 0.000000 0001 001c 0000	# EV_KEY / KEY_ENTER            0
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.418234 0004 0004 0137	# EV_MSC / MSC_SCAN             137
E: 1.418234 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1
E: 1.418234 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.418308 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0
E: 1.418308 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.878996 0004 0004 0136	# EV_MSC / MSC_SCAN             136
E: 1.878996 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1
E: 1.878996 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.879050 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0
E: 1.879050 0000 0000 0000	# ------------ SYN_REPORT (0) ----------





===acpi_osi=!Windows 2012    please check next cat /proc/cmdline===

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.17-100.fc19.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=it2 "acpi_osi=!Windows\x202012" LANG=it_IT.UTF-8

# ls /sys/class/backlight/
intel_backlight  samsung


***/sys/class/backlight/intel_backlight/***

# cat type 
raw

# cat max_brightness 
39780

# cat brightness 
39780

# echo 30000 > brightness
it works


***/sys/class/backlight/samsung/***

# cat type 
platform

# cat max_brightness 
8

# cat brightness 
8

# echo 1 > brightness
it works


# evemu-record 
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Power Button
/dev/input/event2:	Sleep Button
/dev/input/event3:	Power Button
/dev/input/event4:	AT Translated Set 2 keyboard
/dev/input/event5:	SynPS/2 Synaptics TouchPad
/dev/input/event6:	Video Bus
/dev/input/event7:	Logitech Gaming Mouse G400
/dev/input/event8:	HDA Intel Headphone
/dev/input/event9:	HDA Intel Mic
/dev/input/event10:	Namuga 1.3M Webcam
Select the device event number [0-10]: 4
# EVEMU 1.2
# Input device name: "AT Translated Set 2 keyboard"
# Input device ID: bus 0x11 vendor 0x01 product 0x01 version 0xab41
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 4 ((null))
#     Event code 17 ((null))
#     Event code 20 ((null))
#   Event type 1 (EV_KEY)
#     Event code 1 (KEY_ESC)
#     Event code 2 (KEY_1)
#     Event code 3 (KEY_2)
#     Event code 4 (KEY_3)
#     Event code 5 (KEY_4)
#     Event code 6 (KEY_5)
#     Event code 7 (KEY_6)
#     Event code 8 (KEY_7)
#     Event code 9 (KEY_8)
#     Event code 10 (KEY_9)
#     Event code 11 (KEY_0)
#     Event code 12 (KEY_MINUS)
#     Event code 13 (KEY_EQUAL)
#     Event code 14 (KEY_BACKSPACE)
#     Event code 15 (KEY_TAB)
#     Event code 16 (KEY_Q)
#     Event code 17 (KEY_W)
#     Event code 18 (KEY_E)
#     Event code 19 (KEY_R)
#     Event code 20 (KEY_T)
#     Event code 21 (KEY_Y)
#     Event code 22 (KEY_U)
#     Event code 23 (KEY_I)
#     Event code 24 (KEY_O)
#     Event code 25 (KEY_P)
#     Event code 26 (KEY_LEFTBRACE)
#     Event code 27 (KEY_RIGHTBRACE)
#     Event code 28 (KEY_ENTER)
#     Event code 29 (KEY_LEFTCTRL)
#     Event code 30 (KEY_A)
#     Event code 31 (KEY_S)
#     Event code 32 (KEY_D)
#     Event code 33 (KEY_F)
#     Event code 34 (KEY_G)
#     Event code 35 (KEY_H)
#     Event code 36 (KEY_J)
#     Event code 37 (KEY_K)
#     Event code 38 (KEY_L)
#     Event code 39 (KEY_SEMICOLON)
#     Event code 40 (KEY_APOSTROPHE)
#     Event code 41 (KEY_GRAVE)
#     Event code 42 (KEY_LEFTSHIFT)
#     Event code 43 (KEY_BACKSLASH)
#     Event code 44 (KEY_Z)
#     Event code 45 (KEY_X)
#     Event code 46 (KEY_C)
#     Event code 47 (KEY_V)
#     Event code 48 (KEY_B)
#     Event code 49 (KEY_N)
#     Event code 50 (KEY_M)
#     Event code 51 (KEY_COMMA)
#     Event code 52 (KEY_DOT)
#     Event code 53 (KEY_SLASH)
#     Event code 54 (KEY_RIGHTSHIFT)
#     Event code 55 (KEY_KPASTERISK)
#     Event code 56 (KEY_LEFTALT)
#     Event code 57 (KEY_SPACE)
#     Event code 58 (KEY_CAPSLOCK)
#     Event code 59 (KEY_F1)
#     Event code 60 (KEY_F2)
#     Event code 61 (KEY_F3)
#     Event code 62 (KEY_F4)
#     Event code 63 (KEY_F5)
#     Event code 64 (KEY_F6)
#     Event code 65 (KEY_F7)
#     Event code 66 (KEY_F8)
#     Event code 67 (KEY_F9)
#     Event code 68 (KEY_F10)
#     Event code 69 (KEY_NUMLOCK)
#     Event code 70 (KEY_SCROLLLOCK)
#     Event code 71 (KEY_KP7)
#     Event code 72 (KEY_KP8)
#     Event code 73 (KEY_KP9)
#     Event code 74 (KEY_KPMINUS)
#     Event code 75 (KEY_KP4)
#     Event code 76 (KEY_KP5)
#     Event code 77 (KEY_KP6)
#     Event code 78 (KEY_KPPLUS)
#     Event code 79 (KEY_KP1)
#     Event code 80 (KEY_KP2)
#     Event code 81 (KEY_KP3)
#     Event code 82 (KEY_KP0)
#     Event code 83 (KEY_KPDOT)
#     Event code 85 (KEY_ZENKAKUHANKAKU)
#     Event code 86 (KEY_102ND)
#     Event code 87 (KEY_F11)
#     Event code 88 (KEY_F12)
#     Event code 89 (KEY_RO)
#     Event code 91 (KEY_HIRAGANA)
#     Event code 92 (KEY_HENKAN)
#     Event code 93 (KEY_KATAKANAHIRAGANA)
#     Event code 94 (KEY_MUHENKAN)
#     Event code 95 (KEY_KPJPCOMMA)
#     Event code 96 (KEY_KPENTER)
#     Event code 97 (KEY_RIGHTCTRL)
#     Event code 98 (KEY_KPSLASH)
#     Event code 99 (KEY_SYSRQ)
#     Event code 100 (KEY_RIGHTALT)
#     Event code 102 (KEY_HOME)
#     Event code 103 (KEY_UP)
#     Event code 104 (KEY_PAGEUP)
#     Event code 105 (KEY_LEFT)
#     Event code 106 (KEY_RIGHT)
#     Event code 107 (KEY_END)
#     Event code 108 (KEY_DOWN)
#     Event code 109 (KEY_PAGEDOWN)
#     Event code 110 (KEY_INSERT)
#     Event code 111 (KEY_DELETE)
#     Event code 112 (KEY_MACRO)
#     Event code 113 (KEY_MUTE)
#     Event code 114 (KEY_VOLUMEDOWN)
#     Event code 115 (KEY_VOLUMEUP)
#     Event code 116 (KEY_POWER)
#     Event code 117 (KEY_KPEQUAL)
#     Event code 118 (KEY_KPPLUSMINUS)
#     Event code 119 (KEY_PAUSE)
#     Event code 121 (KEY_KPCOMMA)
#     Event code 122 (KEY_HANGEUL)
#     Event code 123 (KEY_HANJA)
#     Event code 124 (KEY_YEN)
#     Event code 125 (KEY_LEFTMETA)
#     Event code 126 (KEY_RIGHTMETA)
#     Event code 127 (KEY_COMPOSE)
#     Event code 128 (KEY_STOP)
#     Event code 140 (KEY_CALC)
#     Event code 142 (KEY_SLEEP)
#     Event code 143 (KEY_WAKEUP)
#     Event code 148 (KEY_PROG1)
#     Event code 149 (KEY_PROG2)
#     Event code 150 (KEY_WWW)
#     Event code 155 (KEY_MAIL)
#     Event code 156 (KEY_BOOKMARKS)
#     Event code 157 (KEY_COMPUTER)
#     Event code 158 (KEY_BACK)
#     Event code 159 (KEY_FORWARD)
#     Event code 163 (KEY_NEXTSONG)
#     Event code 164 (KEY_PLAYPAUSE)
#     Event code 165 (KEY_PREVIOUSSONG)
#     Event code 166 (KEY_STOPCD)
#     Event code 172 (KEY_HOMEPAGE)
#     Event code 173 (KEY_REFRESH)
#     Event code 183 (KEY_F13)
#     Event code 184 (KEY_F14)
#     Event code 185 (KEY_F15)
#     Event code 192 (KEY_F22)
#     Event code 193 (KEY_F23)
#     Event code 202 (KEY_PROG3)
#     Event code 217 (KEY_SEARCH)
#     Event code 224 (KEY_BRIGHTNESSDOWN)
#     Event code 225 (KEY_BRIGHTNESSUP)
#     Event code 226 (KEY_MEDIA)
#     Event code 227 (KEY_SWITCHVIDEOMODE)
#     Event code 236 (KEY_BATTERY)
#     Event code 238 (KEY_WLAN)
#   Event type 4 (EV_MSC)
#     Event code 4 (MSC_SCAN)
#   Event type 17 (EV_LED)
#     Event code 0 (LED_NUML)
#     Event code 1 (LED_CAPSL)
#     Event code 2 (LED_SCROLLL)
#   Event type 20 (EV_REP)
# Properties:
N: AT Translated Set 2 keyboard
I: 0011 0001 0001 ab41
P: 00 00 00 00 00 00 00 00
B: 00 13 00 12 00 00 00 00 00
B: 01 fe ff ff ff ff ff ff ff
B: 01 ff ff ef fb df ff ff fe
B: 01 01 d0 70 f8 78 30 80 03
B: 01 03 04 00 02 0f 50 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 10 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 07 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
################################
#      Waiting for events      #
################################
E: 0.000000 0004 0004 0028	# EV_MSC / MSC_SCAN             28
E: 0.000000 0001 001c 0000	# EV_KEY / KEY_ENTER            0
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.274841 0004 0004 0137	# EV_MSC / MSC_SCAN             137
E: 1.274841 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1
E: 1.274841 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.274897 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0
E: 1.274897 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.740800 0004 0004 0136	# EV_MSC / MSC_SCAN             136
E: 1.740800 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1
E: 1.740800 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.740864 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0
E: 1.740864 0000 0000 0000	# ------------ SYN_REPORT (0) ----------





===acpi_osi=!Windows 2009    please check next cat /proc/cmdline===

# cat /proc/cmdline 
BOOT_IMAGE=/boot/vmlinuz-3.14.17-100.fc19.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root vconsole.keymap=it2 "acpi_osi=!Windows\x202009" LANG=it_IT.UTF-8

# ls /sys/class/backlight/
intel_backlight  samsung


***/sys/class/backlight/intel_backlight***

# cat type 
raw

# cat max_brightness 
39780

# cat brightness 
39780

# echo 30000 > brightness
it works


***/sys/class/backlight/samsung***

# cat type 
platform

# cat max_brightness 
8

# cat brightness 
8

# echo 1 > brightness 
it works

# evemu-record 
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Power Button
/dev/input/event2:	Sleep Button
/dev/input/event3:	Power Button
/dev/input/event4:	AT Translated Set 2 keyboard
/dev/input/event5:	Video Bus
/dev/input/event6:	SynPS/2 Synaptics TouchPad
/dev/input/event7:	Logitech Gaming Mouse G400
/dev/input/event8:	HDA Intel Headphone
/dev/input/event9:	HDA Intel Mic
/dev/input/event10:	Namuga 1.3M Webcam
Select the device event number [0-10]: 4
# EVEMU 1.2
# Input device name: "AT Translated Set 2 keyboard"
# Input device ID: bus 0x11 vendor 0x01 product 0x01 version 0xab41
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 4 ((null))
#     Event code 17 ((null))
#     Event code 20 ((null))
#   Event type 1 (EV_KEY)
#     Event code 1 (KEY_ESC)
#     Event code 2 (KEY_1)
#     Event code 3 (KEY_2)
#     Event code 4 (KEY_3)
#     Event code 5 (KEY_4)
#     Event code 6 (KEY_5)
#     Event code 7 (KEY_6)
#     Event code 8 (KEY_7)
#     Event code 9 (KEY_8)
#     Event code 10 (KEY_9)
#     Event code 11 (KEY_0)
#     Event code 12 (KEY_MINUS)
#     Event code 13 (KEY_EQUAL)
#     Event code 14 (KEY_BACKSPACE)
#     Event code 15 (KEY_TAB)
#     Event code 16 (KEY_Q)
#     Event code 17 (KEY_W)
#     Event code 18 (KEY_E)
#     Event code 19 (KEY_R)
#     Event code 20 (KEY_T)
#     Event code 21 (KEY_Y)
#     Event code 22 (KEY_U)
#     Event code 23 (KEY_I)
#     Event code 24 (KEY_O)
#     Event code 25 (KEY_P)
#     Event code 26 (KEY_LEFTBRACE)
#     Event code 27 (KEY_RIGHTBRACE)
#     Event code 28 (KEY_ENTER)
#     Event code 29 (KEY_LEFTCTRL)
#     Event code 30 (KEY_A)
#     Event code 31 (KEY_S)
#     Event code 32 (KEY_D)
#     Event code 33 (KEY_F)
#     Event code 34 (KEY_G)
#     Event code 35 (KEY_H)
#     Event code 36 (KEY_J)
#     Event code 37 (KEY_K)
#     Event code 38 (KEY_L)
#     Event code 39 (KEY_SEMICOLON)
#     Event code 40 (KEY_APOSTROPHE)
#     Event code 41 (KEY_GRAVE)
#     Event code 42 (KEY_LEFTSHIFT)
#     Event code 43 (KEY_BACKSLASH)
#     Event code 44 (KEY_Z)
#     Event code 45 (KEY_X)
#     Event code 46 (KEY_C)
#     Event code 47 (KEY_V)
#     Event code 48 (KEY_B)
#     Event code 49 (KEY_N)
#     Event code 50 (KEY_M)
#     Event code 51 (KEY_COMMA)
#     Event code 52 (KEY_DOT)
#     Event code 53 (KEY_SLASH)
#     Event code 54 (KEY_RIGHTSHIFT)
#     Event code 55 (KEY_KPASTERISK)
#     Event code 56 (KEY_LEFTALT)
#     Event code 57 (KEY_SPACE)
#     Event code 58 (KEY_CAPSLOCK)
#     Event code 59 (KEY_F1)
#     Event code 60 (KEY_F2)
#     Event code 61 (KEY_F3)
#     Event code 62 (KEY_F4)
#     Event code 63 (KEY_F5)
#     Event code 64 (KEY_F6)
#     Event code 65 (KEY_F7)
#     Event code 66 (KEY_F8)
#     Event code 67 (KEY_F9)
#     Event code 68 (KEY_F10)
#     Event code 69 (KEY_NUMLOCK)
#     Event code 70 (KEY_SCROLLLOCK)
#     Event code 71 (KEY_KP7)
#     Event code 72 (KEY_KP8)
#     Event code 73 (KEY_KP9)
#     Event code 74 (KEY_KPMINUS)
#     Event code 75 (KEY_KP4)
#     Event code 76 (KEY_KP5)
#     Event code 77 (KEY_KP6)
#     Event code 78 (KEY_KPPLUS)
#     Event code 79 (KEY_KP1)
#     Event code 80 (KEY_KP2)
#     Event code 81 (KEY_KP3)
#     Event code 82 (KEY_KP0)
#     Event code 83 (KEY_KPDOT)
#     Event code 85 (KEY_ZENKAKUHANKAKU)
#     Event code 86 (KEY_102ND)
#     Event code 87 (KEY_F11)
#     Event code 88 (KEY_F12)
#     Event code 89 (KEY_RO)
#     Event code 91 (KEY_HIRAGANA)
#     Event code 92 (KEY_HENKAN)
#     Event code 93 (KEY_KATAKANAHIRAGANA)
#     Event code 94 (KEY_MUHENKAN)
#     Event code 95 (KEY_KPJPCOMMA)
#     Event code 96 (KEY_KPENTER)
#     Event code 97 (KEY_RIGHTCTRL)
#     Event code 98 (KEY_KPSLASH)
#     Event code 99 (KEY_SYSRQ)
#     Event code 100 (KEY_RIGHTALT)
#     Event code 102 (KEY_HOME)
#     Event code 103 (KEY_UP)
#     Event code 104 (KEY_PAGEUP)
#     Event code 105 (KEY_LEFT)
#     Event code 106 (KEY_RIGHT)
#     Event code 107 (KEY_END)
#     Event code 108 (KEY_DOWN)
#     Event code 109 (KEY_PAGEDOWN)
#     Event code 110 (KEY_INSERT)
#     Event code 111 (KEY_DELETE)
#     Event code 112 (KEY_MACRO)
#     Event code 113 (KEY_MUTE)
#     Event code 114 (KEY_VOLUMEDOWN)
#     Event code 115 (KEY_VOLUMEUP)
#     Event code 116 (KEY_POWER)
#     Event code 117 (KEY_KPEQUAL)
#     Event code 118 (KEY_KPPLUSMINUS)
#     Event code 119 (KEY_PAUSE)
#     Event code 121 (KEY_KPCOMMA)
#     Event code 122 (KEY_HANGEUL)
#     Event code 123 (KEY_HANJA)
#     Event code 124 (KEY_YEN)
#     Event code 125 (KEY_LEFTMETA)
#     Event code 126 (KEY_RIGHTMETA)
#     Event code 127 (KEY_COMPOSE)
#     Event code 128 (KEY_STOP)
#     Event code 140 (KEY_CALC)
#     Event code 142 (KEY_SLEEP)
#     Event code 143 (KEY_WAKEUP)
#     Event code 148 (KEY_PROG1)
#     Event code 149 (KEY_PROG2)
#     Event code 150 (KEY_WWW)
#     Event code 155 (KEY_MAIL)
#     Event code 156 (KEY_BOOKMARKS)
#     Event code 157 (KEY_COMPUTER)
#     Event code 158 (KEY_BACK)
#     Event code 159 (KEY_FORWARD)
#     Event code 163 (KEY_NEXTSONG)
#     Event code 164 (KEY_PLAYPAUSE)
#     Event code 165 (KEY_PREVIOUSSONG)
#     Event code 166 (KEY_STOPCD)
#     Event code 172 (KEY_HOMEPAGE)
#     Event code 173 (KEY_REFRESH)
#     Event code 183 (KEY_F13)
#     Event code 184 (KEY_F14)
#     Event code 185 (KEY_F15)
#     Event code 192 (KEY_F22)
#     Event code 193 (KEY_F23)
#     Event code 202 (KEY_PROG3)
#     Event code 217 (KEY_SEARCH)
#     Event code 224 (KEY_BRIGHTNESSDOWN)
#     Event code 225 (KEY_BRIGHTNESSUP)
#     Event code 226 (KEY_MEDIA)
#     Event code 227 (KEY_SWITCHVIDEOMODE)
#     Event code 236 (KEY_BATTERY)
#     Event code 238 (KEY_WLAN)
#   Event type 4 (EV_MSC)
#     Event code 4 (MSC_SCAN)
#   Event type 17 (EV_LED)
#     Event code 0 (LED_NUML)
#     Event code 1 (LED_CAPSL)
#     Event code 2 (LED_SCROLLL)
#   Event type 20 (EV_REP)
# Properties:
N: AT Translated Set 2 keyboard
I: 0011 0001 0001 ab41
P: 00 00 00 00 00 00 00 00
B: 00 13 00 12 00 00 00 00 00
B: 01 fe ff ff ff ff ff ff ff
B: 01 ff ff ef fb df ff ff fe
B: 01 01 d0 70 f8 78 30 80 03
B: 01 03 04 00 02 0f 50 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 00 00 00 00 00 00 00 00
B: 04 10 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 07 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
################################
#      Waiting for events      #
################################
E: 0.000000 0004 0004 0028	# EV_MSC / MSC_SCAN             28
E: 0.000000 0001 001c 0000	# EV_KEY / KEY_ENTER            0
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.443895 0004 0004 0137	# EV_MSC / MSC_SCAN             137
E: 1.443895 0001 00e0 0001	# EV_KEY / KEY_BRIGHTNESSDOWN   1
E: 1.443895 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.443954 0001 00e0 0000	# EV_KEY / KEY_BRIGHTNESSDOWN   0
E: 1.443954 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.781844 0004 0004 0136	# EV_MSC / MSC_SCAN             136
E: 1.781844 0001 00e1 0001	# EV_KEY / KEY_BRIGHTNESSUP     1
E: 1.781844 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 1.781903 0001 00e1 0000	# EV_KEY / KEY_BRIGHTNESSUP     0
E: 1.781903 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
Comment 41 Germano Massullo 2014-10-16 10:45:13 EDT
Created attachment 947650 [details]
NC10 dmesg for each kernel boot option
Comment 42 Hans de Goede 2014-10-16 10:51:21 EDT
Hi Germano,

Thanks for all the tests and logs. Looking at the test results, both the keys, and the actual brightness controls seem to work fine. The problem seems to be that the lxde environment simply lacks support for listening to the brightneskeys, and adjusting the brightness when the brightness keys are pressed.

Regards,

Hans
Comment 43 Germano Massullo 2014-10-16 11:26:01 EDT
(In reply to Hans de Goede from comment #42)
> Hi Germano,
> 
> Thanks for all the tests and logs. Looking at the test results, both the
> keys, and the actual brightness controls seem to work fine. The problem
> seems to be that the lxde environment simply lacks support for listening to
> the brightneskeys, and adjusting the brightness when the brightness keys are
> pressed.
> 
> Regards,
> 
> Hans

Ok, I just filled a bug against LXDE https://bugzilla.redhat.com/show_bug.cgi?id=1153700

As soon as possible I will try to get the Samsung NC210 to complete the other tests you need

Note You need to log in before you can comment on or make changes to this bug.